#
# spec file for package python-pytest-tornado
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-tornado
Version:        0.5.0
Release:        lp151.1.1
Summary:        A py.test plugin for tornado applications
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/eugeniy/pytest-tornado
Source:         https://files.pythonhosted.org/packages/source/p/pytest-tornado/pytest-tornado-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/eugeniy/pytest-tornado/v%{version}/LICENSE
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-certifi
Requires:       python-pytest
Requires:       python-tornado
BuildArch:      noarch

%python_subpackages

%description
A py.test_ plugin providing fixtures and markers to simplify testing
of asynchronous tornado applications.

%prep
%setup -q -n pytest-tornado-%{version}
cp %{SOURCE10} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun Jul 15 2018 mimi.vx@gmail.com
- no tests in upstream package
* Thu May  3 2018 toddrme2178@gmail.com
- Update to 5.0.0
  * Fix to work with tornado 5
- Add license file
- Use %%license tag
* Fri Apr 20 2018 toddrme2178@gmail.com
- Initial version
